Index: lemon/bits/map_extender.h
===================================================================
--- lemon/bits/map_extender.h	(revision 107)
+++ lemon/bits/map_extender.h	(revision 209)
@@ -1,5 +1,5 @@
-/* -*- C++ -*-
- *
- * This file is a part of LEMON, a generic C++ optimization library
+/* -*- mode: C++; indent-tabs-mode: nil; -*-
+ *
+ * This file is a part of LEMON, a generic C++ optimization library.
  *
  * Copyright (C) 2003-2008
@@ -33,5 +33,5 @@
 
   /// \ingroup graphbits
-  /// 
+  ///
   /// \brief Extender for maps
   template <typename _Map>
@@ -57,8 +57,8 @@
   public:
 
-    MapExtender(const Graph& graph) 
+    MapExtender(const Graph& graph)
       : Parent(graph) {}
 
-    MapExtender(const Graph& graph, const Value& value) 
+    MapExtender(const Graph& graph, const Value& value)
       : Parent(graph, value) {}
 
@@ -71,12 +71,12 @@
       Parent::operator=(cmap);
       return *this;
-    } 
+    }
 
     class MapIt : public Item {
     public:
-      
+
       typedef Item Parent;
       typedef typename Map::Value Value;
-      
+
       MapIt() {}
 
@@ -87,27 +87,27 @@
       }
 
-      MapIt(const Map& _map, const Item& item) 
-	: Parent(item), map(_map) {}
-
-      MapIt& operator++() { 
-	map.notifier()->next(*this);
-	return *this; 
-      }
-      
+      MapIt(const Map& _map, const Item& item)
+        : Parent(item), map(_map) {}
+
+      MapIt& operator++() {
+        map.notifier()->next(*this);
+        return *this;
+      }
+
       typename MapTraits<Map>::ConstReturnValue operator*() const {
-	return map[*this];
+        return map[*this];
       }
 
       typename MapTraits<Map>::ReturnValue operator*() {
-	return map[*this];
-      }
-      
+        return map[*this];
+      }
+
       void set(const Value& value) {
-	map.set(*this, value);
-      }
-      
+        map.set(*this, value);
+      }
+
     protected:
       Map& map;
-      
+
     };
 
@@ -118,5 +118,5 @@
 
       typedef typename Map::Value Value;
-      
+
       ConstMapIt() {}
 
@@ -127,14 +127,14 @@
       }
 
-      ConstMapIt(const Map& _map, const Item& item) 
-	: Parent(item), map(_map) {}
-
-      ConstMapIt& operator++() { 
-	map.notifier()->next(*this);
-	return *this; 
+      ConstMapIt(const Map& _map, const Item& item)
+        : Parent(item), map(_map) {}
+
+      ConstMapIt& operator++() {
+        map.notifier()->next(*this);
+        return *this;
       }
 
       typename MapTraits<Map>::ConstReturnValue operator*() const {
-	return map[*this];
+        return map[*this];
       }
 
@@ -145,7 +145,7 @@
     class ItemIt : public Item {
     public:
-      
-      typedef Item Parent;
-      
+
+      typedef Item Parent;
+
       ItemIt() {}
 
@@ -156,20 +156,20 @@
       }
 
-      ItemIt(const Map& _map, const Item& item) 
-	: Parent(item), map(_map) {}
-
-      ItemIt& operator++() { 
-	map.notifier()->next(*this);
-	return *this; 
+      ItemIt(const Map& _map, const Item& item)
+        : Parent(item), map(_map) {}
+
+      ItemIt& operator++() {
+        map.notifier()->next(*this);
+        return *this;
       }
 
     protected:
       const Map& map;
-      
+
     };
   };
 
   /// \ingroup graphbits
-  /// 
+  ///
   /// \brief Extender for maps which use a subset of the items.
   template <typename _Graph, typename _Map>
@@ -195,8 +195,8 @@
   public:
 
-    SubMapExtender(const Graph& _graph) 
+    SubMapExtender(const Graph& _graph)
       : Parent(_graph), graph(_graph) {}
 
-    SubMapExtender(const Graph& _graph, const Value& _value) 
+    SubMapExtender(const Graph& _graph, const Value& _value)
       : Parent(_graph, _value), graph(_graph) {}
 
@@ -213,12 +213,12 @@
       }
       return *this;
-    } 
+    }
 
     class MapIt : public Item {
     public:
-      
+
       typedef Item Parent;
       typedef typename Map::Value Value;
-      
+
       MapIt() {}
 
@@ -229,27 +229,27 @@
       }
 
-      MapIt(const Map& _map, const Item& item) 
-	: Parent(item), map(_map) {}
-
-      MapIt& operator++() { 
-	map.graph.next(*this);
-	return *this; 
-      }
-      
+      MapIt(const Map& _map, const Item& item)
+        : Parent(item), map(_map) {}
+
+      MapIt& operator++() {
+        map.graph.next(*this);
+        return *this;
+      }
+
       typename MapTraits<Map>::ConstReturnValue operator*() const {
-	return map[*this];
+        return map[*this];
       }
 
       typename MapTraits<Map>::ReturnValue operator*() {
-	return map[*this];
-      }
-      
+        return map[*this];
+      }
+
       void set(const Value& value) {
-	map.set(*this, value);
-      }
-      
+        map.set(*this, value);
+      }
+
     protected:
       Map& map;
-      
+
     };
 
@@ -260,5 +260,5 @@
 
       typedef typename Map::Value Value;
-      
+
       ConstMapIt() {}
 
@@ -269,14 +269,14 @@
       }
 
-      ConstMapIt(const Map& _map, const Item& item) 
-	: Parent(item), map(_map) {}
-
-      ConstMapIt& operator++() { 
-	map.graph.next(*this);
-	return *this; 
+      ConstMapIt(const Map& _map, const Item& item)
+        : Parent(item), map(_map) {}
+
+      ConstMapIt& operator++() {
+        map.graph.next(*this);
+        return *this;
       }
 
       typename MapTraits<Map>::ConstReturnValue operator*() const {
-	return map[*this];
+        return map[*this];
       }
 
@@ -287,7 +287,7 @@
     class ItemIt : public Item {
     public:
-      
-      typedef Item Parent;
-      
+
+      typedef Item Parent;
+
       ItemIt() {}
 
@@ -298,21 +298,21 @@
       }
 
-      ItemIt(const Map& _map, const Item& item) 
-	: Parent(item), map(_map) {}
-
-      ItemIt& operator++() { 
-	map.graph.next(*this);
-	return *this; 
+      ItemIt(const Map& _map, const Item& item)
+        : Parent(item), map(_map) {}
+
+      ItemIt& operator++() {
+        map.graph.next(*this);
+        return *this;
       }
 
     protected:
       const Map& map;
-      
-    };
-    
+
+    };
+
   private:
 
     const Graph& graph;
-    
+
   };
 
